#include "ffc\gdiplus.h"

local oListener as PieChartListener
oListener = newobject('PieChartListener')
oListener.ListenerType = 1	&& preview

create cursor csrReport ( dummy c(10) )
append blank
report form gpintro2_rpt1 object m.oListener 

define class PieChartListener as ReportListener
	oPieData = null
	oPieChart = null

function Init
	* Add the pie chart data object
	This.oPieData = newobject( "PieChartData", "gpintro2_pie1.prg" )
	This.oPieChart = newobject( "PieChartRenderer", "gpintro2_pie1.prg" )

	* Create some data to fill the chart with
	local lcPieInfo
text to m.lcPieInfo noshow flags 1 
German, 24, 0xFFFF0000
French, 16, 0xFF00FF00
English, 16, 0xFF3333FF
Italian, 16, 0xFFFFFF00
Other, 28, 0xFF990099
endtext
	This.oPieData.LoadFromString( m.lcPieInfo )
	This.oPieData.cOverlayText = "VFP9 Rocks!"
endfunc && Init


function Render
	lparameters ;
		nFRXRecno ;	&& record in FRX for this object
		, nLeft, nTop, nWidth, nHeight ;
		, nObjectContinuationType ;	&& 
		, cContentsToBeRendered	 ; && Unicode string
		, GDIPlusImage	&& GDI+ Image handle/data 
		
	This.oPieChart.DrawOnReport( ;
		This.GDIPlusGraphics ;
		, m.nLeft, m.nTop, m.nWidth, m.nHeight ;
		, This.oPieData )
*	nodefault
endfunc && Render

enddefine && PieChartListener
